sign.test <- function(x, median = 0, ...)
{
  n <- length(x)
  RVAL <- binom.test(sum(x > median), n, ...)
  names(RVAL$statistic) <- "# greater than median"
  names(RVAL$parameter) <- "# observations"
  RVAL$method <- "Sign test"
  RVAL$data.name <- deparse(substitute(x))
  RVAL
}
